package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * NoscaleWfDaPfPeriodData对象 noscale_wf_da_pf_period_data
 *
 * @author hlf
 * @date 2021-07-07
 */
public class NoscaleWfDaPfPeriodData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long modelNo;

    private Date dataTime;

    private Double value;

    private Long dataFlag;

    private Double modspeed;

    private Integer condition;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setValue(Double value) {
        this.value = value;
    }

    public Double getValue() {
        return value;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    public void setModspeed(Double modspeed) {
        this.modspeed = modspeed;
    }

    public Double getModspeed() {
        return modspeed;
    }

    public Integer getCondition() {
        return condition;
    }

    public void setCondition(Integer condition) {
        this.condition = condition;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("modelNo", getModelNo())
                .append("dataTime", getDataTime())
                .append("value", getValue())
                .append("dataFlag", getDataFlag())
                .append("modspeed", getModspeed())
                .toString();
    }
}
